function output = bringFiguresWithTagInForeground()

figure_handles = findobj('type','figure');

for idx = 1:length(figure_handles)
    if ~isempty(figure_handles(idx).Tag)
        figure(figure_handles(idx));
    end
end

if nargout > 0
   output = figure_handles;
end

end